package com.echat.api.demo.info;

/**
 * Created by EChat
 * 会员的基本信息类，
 * 使用方法：
 * 1.将需要传递给一洽的会员信息组装好成user对话
 * 2.将user对象转换为xml字符串
 * 3.将xml加密后产生metaData
 * 4.通过echat.js或者对话窗口参数传递给一洽
 * 5.一洽接收到metaData后识别访客为会员身份
 * 注意:uid必须传 且只能是字母数字下划线组合 长度不能超过50
 */
public class User {
    private String uid;//会员ID 长度
    private Integer grade;//会员等级
    private String category;//会员描述 exp：金牌会员
    private String name;//会员姓名 用于在一洽客户端展示
    private String nickName;//会员昵称
    private Integer gender;//会员姓名 0:未知 1：男 2：女
    private Integer age;//会员年龄
    private String birthday;//会员生日 yyyy-MM-dd  exp:2015-05-05
    private Integer maritalStatus;//婚姻状况 1：未婚 2：已婚 0：未知
    private String phone;//会员电话号码 长度限制：50
    private String qq;//会员qq号码 长度限制：50
    private String wechat;//会员微信号 长度限制：50
    private String email;//会员邮箱 长度限制：50
    private String nation;//会员所在国家 长度限制：50
    private String province;//会员所在省份 长度限制：50
    private String city;//会员所在城市 长度限制：50
    private String address;//会员通信地址 长度限制：255
    private String photo;//会员头像地址 长度限制：255
    private String memo;//会员备注 长度限制：255

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public Integer getGrade() {
        return grade;
    }

    public void setGrade(Integer grade) {
        this.grade = grade;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public Integer getMaritalStatus() {
        return maritalStatus;
    }

    public void setMaritalStatus(Integer maritalStatus) {
        this.maritalStatus = maritalStatus;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq;
    }

    public String getWechat() {
        return wechat;
    }

    public void setWechat(String wechat) {
        this.wechat = wechat;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}
