package com.echat.api.demo.util;


/**
 * Created by EChat
 */
public class StringUtil {

    public static final String emptyStr = "";

    /**
     * @param str
     * @return 判断字符串是否非空
     */
    public static boolean isNotEmpty(String str) {
        return str != null && !emptyStr.equals(str);
    }

    /**
     * @param str
     * @return 判断字符串是否为空
     */
    public static boolean isEmpty(String str) {
        return str == null || emptyStr.equals(str);
    }

    /**
     * @param str1
     * @param str2
     * @return 判断字符串是否相等
     */
    public static boolean equals(String str1, String str2) {
        return str1 == null ? str2 == null : str1.equals(str2);
    }

    /**
     * 判断str是否超过了maxSize，如果超过了就要进行截断
     *
     * @param str
     * @param maxSize
     * @return
     */
    public static boolean isToTruncation(String str, int maxSize) {
        if (StringUtil.isEmpty(str) || maxSize < 0) {
            return false;
        }
        return str.length() > maxSize;
    }

       /**
     * 返回截断后的字符串
     *
     * @param str     将要截断的字符串
     * @param maxSize 字符串的最大长度
     * @return
     */
    public static String truncation(String str, int maxSize) {
        if (StringUtil.isEmpty(str)) {
            return "";
        }
        return str.substring(0, maxSize);
    }

}
